/* 	Driver.java
 *	Copyright (c) 2004, Brains2B.org
 *	
 *	Created by: Dennis Groenendijk
 *	Created on: Feb 11, 2004
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that  * the following conditions are met:
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this list of conditions and 
 * the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and
 * the following disclaimer in the documentation and/or other materials provided with the distribution. 
 * 3. The name of the author may not be used to endorse or promote products derived from this software 
 * without specific prior written permission. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY 
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package org.brains2b.jdbc;

import java.net.URL;

/** [Short description]
 *  [Long description]
 *
 * @author <A HREF="MAILTO:dennis@brains2b.nl">dennis@brains2b.nl</A>
 * @version [version] [lastrevisiondate]
 */
public class Driver {

	private String m_className;
	private String m_urlprefix;
	private URL[] m_classPath;
	public Driver() {
		super();
	}
	
	public Driver(String className, String urlprefix) {
		super();
		m_className=className;
		m_urlprefix=urlprefix;
	}
	
	/**
	 * @return
	 */
	public String getClassName() {
		return m_className;
	}

	/**
	 * @return
	 */
	public String getUrlprefix() {
		return m_urlprefix;
	}

	/**
	 * @param string
	 */
	public void setClassName(String string) {
		m_className = string;
	}

	/**
	 * @param string
	 */
	public void setUrlprefix(String string) {
		m_urlprefix = string;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return getClassName();
	}

	/**
	 * @return Returns the classPath.
	 */
	public URL[] getClassPath() {
		return m_classPath;
	}

	/**
	 * @param classPath The classPath to set.
	 */
	public void setClassPath(URL[] classPath) {
		m_classPath = classPath;
	}

}
