/* 	ConnectionDlg.java
 *	Copyright (c) 2004, Brains2B.org
 *	
 *	Created by: Dennis Groenendijk
 *	Created on: Feb 11, 2004
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that  * the following conditions are met:
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this list of conditions and 
 * the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and
 * the following disclaimer in the documentation and/or other materials provided with the distribution. 
 * 3. The name of the author may not be used to endorse or promote products derived from this software 
 * without specific prior written permission. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY 
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package org.brains2b.swingext.connect;

import java.awt.BorderLayout;
import java.awt.Component;
import java.util.Properties;

import javax.swing.Icon;
import javax.swing.JInternalFrame;
import javax.swing.JPanel;
import javax.swing.SwingUtilities;

import org.brains2b.swingext.dialog.DialogHelper;
import org.brains2b.swingext.form.Form;
import org.brains2b.swingext.form.FormAction;

/** [Short description]
 *  [Long description]
 *
 * @author <A HREF="MAILTO:dennis@brains2b.nl">dennis@brains2b.nl</A>
 * @version [version] [lastrevisiondate]
 */
public class ConnectionPane extends JPanel implements Form {

	private ConnectionView view;
	private Properties result;

	public ConnectionPane() {
		super();
        init();
	}
	
	public static Properties showDialog(Component parent) {
		ConnectionPane pane = new ConnectionPane();
        DialogHelper.showDialog(parent,pane,"Connections");
        return pane.result;
	}
    
    public static Properties showInternalDialog(Component parent, String title, Icon icon) {
        ConnectionPane pane = new ConnectionPane();
        DialogHelper.showInternalDialog(parent,pane,title,icon);
        return pane.result;
    }
        
        
	
	private void init() {
        setLayout(new BorderLayout());
		view=new ConnectionView();
		add(view,BorderLayout.CENTER);
		FormAction fa=new FormAction(this,FormAction.BTN_OK_CANCEL);
		add(fa,BorderLayout.SOUTH);
	}
	/* (non-Javadoc)
	 * @see org.brains2b.model.gui.Form#performApply()
	 */
	public void performApply() {
		//Not implemented

	}

	/* (non-Javadoc)
	 * @see org.brains2b.model.gui.Form#performCancel()
	 */
	public void performCancel() {
		result=null;
		close();		
	}


	/* (non-Javadoc)
	 * @see org.brains2b.model.gui.Form#performOk()
	 */
	public void performOk() {
		result=view.getSelectedConnection();
		if (view.close()) {
			close();
		}
		
	}

	/* (non-Javadoc)
	 * @see org.brains2b.model.gui.Form#performUndo()
	 */
	public void performUndo() {
		// Not implemented
	}

	private void close() {
		if (getRootPane().getParent() instanceof JInternalFrame) {
            ((JInternalFrame) getRootPane().getParent()).doDefaultCloseAction();      
        } else {
            SwingUtilities.getWindowAncestor(this).dispose();
        }
	}
}
