/* 	Find.java
 *	Copyright (c) 1999-2001, Dennis Groenendijk
 *  Copyright (c) 2002-2007, Brains2B.org
 *	
 *	Created by: Dennis Groenendijk
 *	Created on: May 3, 1999
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that  * the following conditions are met:
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this list of conditions and 
 * the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and
 * the following disclaimer in the documentation and/or other materials provided with the distribution. 
 * 3. The name of the author may not be used to endorse or promote products derived from this software 
 * without specific prior written permission. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY 
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package org.brains2b.swingext.find;

public class Find {
	private String mFind;
	private String mReplace;
	private int mPosition;
	private Object mReference;

	public Find(String find) {
		mFind=find;
	}
	
	public Find(String find, String replace) {
		mFind=find;
		mReplace=replace;
	}

	/**
	 * Gets the find.
	 * @return Returns a String
	 */
	public String getFind() {
		return mFind;
	}

	
	/**
	 * Gets the replace.
	 * @return Returns a String
	 */
	public String getReplace() {
		return mReplace;
	}


	/**
	 * Gets the position.
	 * @return Returns a int
	 */
	public int getPosition() {
		return mPosition;
	}

	public int getEndPosition() {
		return mPosition+(mReplace==null?mFind.length():mReplace.length());
	}
	/**
	 * Sets the position.
	 * @param position The position to set
	 */
	public void setPosition(int position) {
		mPosition = position;
	}

	/**
	 * Gets the reference.
	 * @return Returns a Object
	 */
	public Object getReference() {
		return mReference;
	}

	/**
	 * Sets the reference.
	 * @param reference The reference to set
	 */
	public void setReference(Object reference) {
		mReference = reference;
	}

}

